<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.lideeyunji</groupId>
        <artifactId>lideeYunJi</artifactId>
        <version>${lidee.version}</version>
    </parent>

    <groupId>com.lideeyunji</groupId>
    <artifactId>lidee-core</artifactId>
    <packaging>jar</packaging>
    <name>${project.artifactId}</name>
    <version>${lidee.version}</version>
    <description> LideeYunJi低代码核心代码 </description>

    <dependencies>
        <!-- Web 相关 -->
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-web</artifactId>
        </dependency>

        <!-- 鉴权 相关 -->
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-security</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <!-- redis 相关 -->
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-redis</artifactId>
        </dependency>

        <!-- 地区 相关 -->
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-ip</artifactId>
        </dependency>

        <!-- **************** lideeyunji低代码框架  **************** -->
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-excel</artifactId>
        </dependency>
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-exception</artifactId>
        </dependency>
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-sql</artifactId>
        </dependency>
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-tenant</artifactId>
        </dependency>
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-yunji</artifactId>
        </dependency>
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-ai</artifactId>
        </dependency>
        <dependency>
            <groupId>org.codehaus.groovy</groupId>
            <artifactId>groovy</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>QLExpress</artifactId>
        </dependency>
        <dependency>
            <groupId>com.oracle.database.jdbc</groupId>
            <artifactId>ojdbc8</artifactId>
        </dependency>

        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-permission</artifactId>
        </dependency>
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>lidee-service-infra-api</artifactId>
            <version>${lidee.version}</version>
        </dependency>
    </dependencies>
</project>
